netatalk: generic_cjk.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
generic_cjk.c File Reference
`#include "generic_cjk.h"`
`#include <string.h>`

## Functions
static size_t | cjk_iconv (void *cd, char **inbuf, char *end, char **outbuf, size_t *outbytesleft)
size_t | cjk_generic_push (size_t(*char_func)(uint8_t *, const ucs2_t *, size_t *), void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t | cjk_generic_pull (size_t(*char_func)(ucs2_t *, const uint8_t *, size_t *), void *cd, char **inbuf, size_t *inbytesleft, char **outbuf, size_t *outbytesleft)
size_t | cjk_char_push (uint16_t c, uint8_t *out)
size_t | cjk_char_pull (ucs2_t wc, ucs2_t *out, const uint32_t *compose)
uint16_t | cjk_lookup (uint16_t c, const cjk_index_t *index, const uint16_t *charset)
ucs2_t | cjk_compose (ucs2_t base, ucs2_t comb, const uint32_t *table, size_t size)
ucs2_t | cjk_compose_seq (const ucs2_t *in, size_t *len, const uint32_t *table, size_t size)

## Function Documentation

## ◆ cjk_char_pull()

size_t cjk_char_pull | ( | ucs2_t | wc,
|  | ucs2_t * | out,
|  | const uint32_t * | compose )

## ◆ cjk_char_push()

size_t cjk_char_push | ( | uint16_t | c,
|  | uint8_t * | out )

## ◆ cjk_compose()

ucs2_t cjk_compose | ( | ucs2_t | base,
|  | ucs2_t | comb,
|  | const uint32_t * | table,
|  | size_t | size )

## ◆ cjk_compose_seq()

ucs2_t cjk_compose_seq | ( | const ucs2_t * | in,
|  | size_t * | len,
|  | const uint32_t * | table,
|  | size_t | size )

## ◆ cjk_generic_pull()

size_t cjk_generic_pull | ( | size_t(* | char_func )(ucs2_t *, const uint8_t *, size_t *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )

## ◆ cjk_generic_push()

size_t cjk_generic_push | ( | size_t(* | char_func )(uint8_t *, const ucs2_t *, size_t *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )

## ◆ cjk_iconv()

size_t cjk_iconv | ( | void * | cd,
|  | char ** | inbuf,
|  | char * | end,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ cjk_lookup()

uint16_t cjk_lookup | ( | uint16_t | c,
|  | const cjk_index_t * | index,
|  | const uint16_t * | charset )